uuid: 5ac4c753-01e2-47b0-ad79-cf024be8aec7
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.teaser
    - field.field.node.resource.body
    - field.field.node.resource.field_body_paragraph
    - field.field.node.resource.field_image
    - field.field.node.resource.field_meta_tags
    - field.field.node.resource.field_resource_file
    - field.field.node.resource.field_resource_link
    - field.field.node.resource.field_resource_type
    - field.field.node.resource.field_resource_video
    - field.field.node.resource.field_summary
    - field.field.node.resource.field_tags
    - field.field.node.resource.field_topics
    - image.style.focal_point_650x390
    - node.type.resource
    - responsive_image.styles.narrow
  module:
    - ds
    - file
    - link
    - responsive_image
    - text
    - user
    - video_embed_field
third_party_settings:
  ds:
    layout:
      id: ds_2col
      library: ds/ds_2col
      disable_css: true
      entity_classes: all_classes
      settings:
        classes:
          layout_class: {  }
        wrappers:
          left: div
          right: div
        outer_wrapper: div
        attributes: ''
        link_attribute: ''
        link_custom: ''
    regions:
      left:
        - field_image
        - field_resource_video
      right:
        - node_title
        - field_summary
        - field_resource_link
        - field_resource_file
        - field_resource_type
        - field_topics
    fields:
      node_title:
        plugin_id: node_title
        weight: 2
        label: hidden
        formatter: default
        settings:
          link: true
          wrapper: h2
          class: ''
          exclude_node_title: '0'
_core:
  default_config_hash: X8wMd-8bAgoevoDnRCWAyKdimPh6HAqb2t-S0kwfk_o
id: node.resource.teaser
targetEntityType: node
bundle: resource
mode: teaser
content:
  field_image:
    type: responsive_image
    label: visually_hidden
    settings:
      responsive_image_style: narrow
      image_link: content
      image_loading:
        attribute: eager
    third_party_settings: {  }
    weight: 0
    region: left
  field_resource_file:
    type: file_default
    label: visually_hidden
    settings:
      use_description_as_link_text: true
    third_party_settings: {  }
    weight: 5
    region: right
  field_resource_link:
    type: link
    label: visually_hidden
    settings:
      trim_length: 80
      url_only: false
      url_plain: false
      rel: ''
      target: ''
    third_party_settings: {  }
    weight: 4
    region: right
  field_resource_type:
    type: entity_reference_label
    label: visually_hidden
    settings:
      link: true
    third_party_settings: {  }
    weight: 6
    region: right
  field_resource_video:
    type: video_embed_field_thumbnail
    label: visually_hidden
    settings:
      image_style: focal_point_650x390
      link_image_to: content
    third_party_settings:
      ds:
        ds_limit: ''
    weight: 1
    region: left
  field_summary:
    type: text_default
    label: visually_hidden
    settings: {  }
    third_party_settings: {  }
    weight: 3
    region: right
  field_topics:
    type: entity_reference_label
    label: visually_hidden
    settings:
      link: true
    third_party_settings: {  }
    weight: 7
    region: right
hidden:
  body: true
  field_body_paragraph: true
  field_meta_tags: true
  field_tags: true
  langcode: true
  links: true
  search_api_excerpt: true
